### Method

# EDataServer SourceRegistry set_default_task_list

since: 3.6

#### Declaration [src]

    void
    e_source_registry_set_default_task_list (
      ESourceRegistry* registry,
      ESource* default_source
    )

#### Description [src]

Sets `default_source` as the default task list. If `default_source` is `NULL`, the default task list is reset to the built-in task list. This setting will persist across sessions until changed.

Available since: 3.6

Sets property | `EDataServer.SourceRegistry:default-task-list`

#### Parameters

`default_source`

  Type: `ESource`

  A task list `ESource`, or `NULL`.

  The argument can be `NULL`.
  The data is owned by the caller of the method.